View Issue Details

IDProjectCategoryView StatusLast Update
0022896LazarusLCLpublic2013-03-03 12:10
ReporterHeiko TietzeAssigned ToZeljan Rikalo 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version1.0.1 (SVN)Product Build 
Target VersionFixed in Version 
Summary0022896: Imagelist of popup menu is not updated at runtime for Qt
DescriptionWhen the content of the imagelist is modified at runtime (delete/insert) these changes are not applied to the menu. The imagelist contains the new picture - a simple GetBitmap() and Draw() works well.

Lazarus v1.1 svn 38665, FPC 2.6.0
Additional InformationTested with Qt for Linux and Darwin (and successfully with Gtk2 and win32/64).
TagsNo tags attached.
Fixed in Revision38679
LazTarget-
WidgetsetQT
Attached Files

Activities

2012-09-15 22:47

 

project1.zip (130,091 bytes)

Zeljan Rikalo

2012-09-16 11:00

developer   ~0062417

Please test and close if ok. It will be merged to fixes_10 (1.0.2)

Issue History

Date Modified Username Field Change
2012-09-15 22:47 Heiko Tietze New Issue
2012-09-15 22:47 Heiko Tietze File Added: project1.zip
2012-09-15 22:47 Heiko Tietze Widgetset => QT
2012-09-16 10:28 Zeljan Rikalo Status new => assigned
2012-09-16 10:28 Zeljan Rikalo Assigned To => Zeljan Rikalo
2012-09-16 11:00 Zeljan Rikalo Fixed in Revision => 38679
2012-09-16 11:00 Zeljan Rikalo LazTarget => -
2012-09-16 11:00 Zeljan Rikalo Status assigned => resolved
2012-09-16 11:00 Zeljan Rikalo Resolution open => fixed
2012-09-16 11:00 Zeljan Rikalo Note Added: 0062417
2013-03-03 12:10 Heiko Tietze Status resolved => closed